//
//  ViewController.m
//  ERTCDemo
//
//  Created by Harper Kan on 2021/10/26.
//

#import "ViewController.h"
#import "ERTCJoinRoomViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
}

- (IBAction)conferenceBtn:(id)sender {
    if (g_APPID.length == 0) {
        [EZSaaSRTCProgressHUD showErrorWithStatus:@"请在ERTCGenerateTestUserSig.h文件中填写g_APPID"];
        return;
    }
    if (g_platformAddress.length == 0) {
        [EZSaaSRTCProgressHUD showErrorWithStatus:@"请在ERTCGenerateTestUserSig.h文件中填写g_platformAddress"];
        return;
    }
    ERTCJoinRoomViewController *joinVC = [ERTCJoinRoomViewController new];
    [self.navigationController pushViewController:joinVC animated:YES];
}

-(BOOL)shouldAutorotate {
    return NO;
}


@end
